﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using SPModSettings;

public class ActivateWithSpeed : MonoBehaviour

{
    private bool FXON; //if the game object (FX for reentry) is enabled or not
    public GameObject EnableDisableObj; //the empty or whatever you what to toggle 
    public float ActivationSpeed = 1000f; //speed in m/s of activation

    // Start is called before the first frame update
    void Start()
    {

    }

    // Update is called once per frame
    void Update()
    {
        //check the plane's speed and see if its enough to activate the particles
        if (ServiceProvider.Instance.PlayerAircraft.Airspeed >= ActivationSpeed)
        {
            FXON = true; //if it is, turn on FX
        }
        else
        {
            FXON = false; //if it isn't make sure FX is off
        }

        //if the FX bool is on, activate the particles or whatever
        if (FXON == true)
        {
            EnableDisableObj.SetActive(true);
        }
        //if the FX bool is off, make sure particles aren't on or whatver
        if (FXON == false)
        {
            EnableDisableObj.SetActive(false);
        }
    }

}
