﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class ToggleWithModSettings : MonoBehaviour

{
    public bool FXON; //if the game object (FX for reentry) is enabled or not
    public float ActivationSpeedPart; //speed in m/s of activation
    public GameObject ToggleObj;

    // Start is called before the first frame update
    void Start()
    {
        FXON = false;
    }

    // Update is called once per frame
    void Update()
    {
        ActivationSpeedPart = ActivateWithAirspeed_ModSettings.ActivationSpeed; //get the ModSetting

        //check the plane's speed and see if its enough to activate the particles
        if (ServiceProvider.Instance.PlayerAircraft.Airspeed >= ActivationSpeedPart)
        {
            FXON = true; //if it is, turn on FX
        }
        else
        {
            FXON = false; //if it isn't make sure FX is off
        }

        //if the FX bool is on, activate the particles or whatever
        if (FXON == true)
        {
            ToggleObj.SetActive(true);
        }
        //if the FX bool is off, make sure particles aren't on or whatver
        if (FXON == false)
        {
            ToggleObj.SetActive(false);
        }
    }
}